Bug 247705 - Review Request: perl-Mail-SPF - Object-oriented implementation of Sender Policy Framework
Review Request: perl-Mail-SPF - Object-oriented implementation of Sender Poli...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On: 247642
Blocks: 247476
  Show dependency treegraph
 
Reported: 2007-07-10 16:53 EDT by Steven Pritchard
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-12 15:52:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2007-07-10 16:53:20 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Mail-SPF/perl-Mail-SPF.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Mail-SPF-2.005-1.src.rpm
Description:
Mail::SPF is an object-oriented implementation of Sender Policy Framework
(SPF). See http://www.openspf.org for more information about SPF.
Comment 1 Jason Tibbitts 2007-07-11 15:05:00 EDT
Another clean Perl module....

* source files match upstream:
   b8ffb09c538bf4fe3b79ff45dad942879fec9c975a08243c0a59ab3e92439b8a  
   Mail-SPF-v2.005.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(Mail::SPF)
   perl(Mail::SPF::Base)
   perl(Mail::SPF::EAbstractClass)
   perl(Mail::SPF::EClassMethod)
   perl(Mail::SPF::EDNSError)
   perl(Mail::SPF::EDNSTimeout)
   perl(Mail::SPF::EDuplicateGlobalMod)
   perl(Mail::SPF::EInstanceMethod)
   perl(Mail::SPF::EInvalidMacro)
   perl(Mail::SPF::EInvalidMacroString)
   perl(Mail::SPF::EInvalidMech)
   perl(Mail::SPF::EInvalidMechQualifier)
   perl(Mail::SPF::EInvalidMod)
   perl(Mail::SPF::EInvalidOptionValue)
   perl(Mail::SPF::EInvalidRecordVersion)
   perl(Mail::SPF::EInvalidScope)
   perl(Mail::SPF::EInvalidTerm)
   perl(Mail::SPF::EJunkInRecord)
   perl(Mail::SPF::EJunkInTerm)
   perl(Mail::SPF::EMacroExpansionCtxRequired)
   perl(Mail::SPF::ENoAcceptableRecord)
   perl(Mail::SPF::ENoUnparsedText)
   perl(Mail::SPF::ENothingToParse)
   perl(Mail::SPF::EOptionRequired)
   perl(Mail::SPF::EProcessingLimitExceeded)
   perl(Mail::SPF::EReadOnlyValue)
   perl(Mail::SPF::ERecordSelectionError)
   perl(Mail::SPF::ERedundantAcceptableRecords)
   perl(Mail::SPF::ESyntaxError)
   perl(Mail::SPF::ETermDomainSpecExpected)
   perl(Mail::SPF::ETermIPv4AddressExpected)
   perl(Mail::SPF::ETermIPv4PrefixLengthExpected)
   perl(Mail::SPF::ETermIPv6AddressExpected)
   perl(Mail::SPF::ETermIPv6PrefixLengthExpected)
   perl(Mail::SPF::EUnexpectedTermObject)
   perl(Mail::SPF::Exception)
   perl(Mail::SPF::GlobalMod)
   perl(Mail::SPF::MacroString)
   perl(Mail::SPF::Mech)
   perl(Mail::SPF::Mech::A)
   perl(Mail::SPF::Mech::All)
   perl(Mail::SPF::Mech::Exists)
   perl(Mail::SPF::Mech::IP4)
   perl(Mail::SPF::Mech::IP6)
   perl(Mail::SPF::Mech::Include)
   perl(Mail::SPF::Mech::MX)
   perl(Mail::SPF::Mech::PTR)
   perl(Mail::SPF::Mod)
   perl(Mail::SPF::Mod::Exp)
   perl(Mail::SPF::Mod::Redirect)
   perl(Mail::SPF::PositionalMod)
   perl(Mail::SPF::Record)
   perl(Mail::SPF::Request)
   perl(Mail::SPF::Result)
   perl(Mail::SPF::Result::Error)
   perl(Mail::SPF::Result::Fail)
   perl(Mail::SPF::Result::Neutral)
   perl(Mail::SPF::Result::NeutralByDefault)
   perl(Mail::SPF::Result::None)
   perl(Mail::SPF::Result::Pass)
   perl(Mail::SPF::Result::PermError)
   perl(Mail::SPF::Result::SoftFail)
   perl(Mail::SPF::Result::TempError)
   perl(Mail::SPF::SenderIPAddrMech)
   perl(Mail::SPF::Server)
   perl(Mail::SPF::Term)
   perl(Mail::SPF::UnknownMod)
   perl(Mail::SPF::Util)
   perl(Mail::SPF::v1::Record)
   perl(Mail::SPF::v2::Record)
   perl-Mail-SPF = 2.005-1.fc8
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Error)
   perl(Mail::SPF::Exception)
   perl(Mail::SPF::MacroString)
   perl(Mail::SPF::Mod)
   perl(Mail::SPF::Record)
   perl(Mail::SPF::Request)
   perl(Mail::SPF::Result)
   perl(Mail::SPF::Server)
   perl(Mail::SPF::Util)
   perl(Net::DNS) >= 0.58
   perl(Net::DNS::Resolver)
   perl(NetAddr::IP)
   perl(Sys::Hostname)
   perl(URI) >= 1.13
   perl(URI::Escape)
   perl(base)
   perl(constant)
   perl(strict)
   perl(utf8)
   perl(version)
   perl(warnings)
* %check is present and all tests pass:
   t/00.00-class-misc............ok
   t/00.01-class-util............ok
   t/00.02-class-request.........ok
   t/00.03-class-result..........ok
   t/00.04-class-server..........ok
   t/00.05-class-macrostring.....ok
   t/00.99-class-misc............ok
   t/10.00-rfc4408...............skipped
        all skipped: Mail::SPF::Test required for testing Mail::SPF's RFC compliance
   t/10.01-rfc4406...............skipped
        all skipped: Mail::SPF::Test required for testing Mail::SPF's RFC compliance
   t/90-author-pod-validation....ok
   All tests successful, 2 tests skipped.
   Files=10, Tests=155, 142 wallclock secs ( 1.55 cusr +  0.32 csys =  1.87 CPU)
   (Skipped tests require a module not yet in Fedora)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Steven Pritchard 2007-07-12 12:41:06 EDT
New Package CVS Request
=======================
Package Name: perl-Mail-SPF
Short Description: Object-oriented implementation of Sender Policy Framework
Owners: steve@silug.org
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Kevin Fenzi 2007-07-12 13:33:15 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.